function addEvent( obj, type, fn ){ 
	   if (obj.addEventListener){ 
	      obj.addEventListener( type, fn, false );
	   }
	   else if (obj.attachEvent){ 
	      obj["e"+type+fn] = fn; 
	      obj[type+fn] = function(){ obj["e"+type+fn]( window.event ); } 
	      obj.attachEvent( "on"+type, obj[type+fn] ); 
	   } 
} 


function dynamicLayoutXY(){

	var myWidth = 0, myHeight = 0;
	
	  if( typeof( window.innerWidth ) == 'number' ) {
		//Non-IE
		myWidth = window.innerWidth;
		myHeight = window.innerHeight;
	  } else if( document.documentElement && ( document.documentElement.clientWidth || document.documentElement.clientHeight ) ) {
		//IE 6+ in 'standards compliant mode'
		myWidth = document.documentElement.clientWidth;
		myHeight = document.documentElement.clientHeight;
	  } else if( document.body && ( document.body.clientWidth || document.body.clientHeight ) ) {
		//IE 4 compatible
		myWidth = document.body.clientWidth;
		myHeight = document.body.clientHeight;
	  }
	  
	browserHeight = myHeight;
	browserWidth = myWidth;
	
}


	//Run dynamicLayout function when page loads and when it resizes.

	addEvent(window, 'load', setPosXY);
	addEvent(window, 'resize', setPosXY);

	
function setPosXY() {
	nextClusterName = 0;
	dynamicLayoutXY();
	
	startPosX = (browserWidth - 890)/2;
	startPosY = (browserHeight - 560)/2;
	
	document.getElementById("example1").style.left = parseInt(startPosX) + "px";
	document.getElementById("example1").style.top = parseInt(startPosY + 10) + "px";
	
	document.getElementById("top1").style.left = parseInt(startPosX + 72) + "px";
	document.getElementById("top1").style.height = parseInt(startPosY) + "px";
	

}
